Start a new topic

Upgrade 2.1.4 -> 2.1.5 mysql foreign key constraint erorr

When trying to upgrade bluecherry from 2.1.4 to 2.1.5 using apt, I get the following error when upgrading the MySQL schema:

applying upgrade sql for 1:2.1.4-2 -> 1:2.1.5-1.

error encountered processing /usr/share/dbconfig-common/data/bluecherry/upgrade/mysql/1:2.1.5-1:

mysql said: ERROR 1452 (23000) at line 7: Cannot add or update a child row: a foreign key constraint fails (`bluecherry`.`#sql-4a0_3d`, CONSTRAINT `EventsCam_ibfk_1` FOREIGN KEY (`media_id`) REFERENCES `Media` (`id`) ON DELETE CASCADE)

dbconfig-common: bluecherry configure: aborted.

Login or Signup to post a comment